<template>
  <div class="columns four">
    <label for="workFullName" class="special-class-for-label-in-profile" title="Полное наименование юр. лица">Полное наименование юр. лица</label>
    <input type="text"
           id="workFullName"
           ref="workFullName"
           name="workFullName"
           :class="getValidateClass('workFullName')"
           v-model="$user.workFullName"
           v-validate="'required|min:5'"
           autocomplete="off"
           data-code="workFullNameTooShort, workFullNameTooLong"
    />
    <validate-message v-show="vErrors.has('workFullName')">
      {{ vErrors.first('workFullName') }}
    </validate-message>
  </div>
</template>

<script>
  import UserGetter from '@/mixins/User/UserGetterMixin'
  import UserSetter from '@/mixins/User/UserSetterMixin'
  import UserErrorText from '@/mixins/User/UserErrorTextMixin'
  import GetValidateClass from '@/mixins/Validation/GetValidateClassMixin'
  import ValidateMessage from '@/components/Validators/ValidateMessage'
  import IndicatorRegistration from '@/mixins/IndicatorRegistration'
  import { REQUIRED_FIELD, MIN_LENGHT } from '@/components/Validators/CustomVeeValidateMessage'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
  import ChangeDataInProfile from '@/mixins/Profile/ChangeDataInProfile'

  export default {
    name: 'founder-full-name',
    mixins: [
      UserGetter,
      UserSetter,
      UserErrorText,
      GetValidateClass,
      IndicatorRegistration,
      ErrorHandleMixin,
      ChangeDataInProfile
    ],
    components: {
      ValidateMessage
    },
    mounted () {
      this.$validator.localize(REQUIRED_FIELD)
      this.$validator.localize(MIN_LENGHT)
    },
    updated () {
      this.$user.validate.other.founderFullName = Object.keys(this.$validator.flags).reduce((acc, item) => acc && this.$validator.flags[item].valid, true)
    }
  }
</script>

<style scoped lang="scss">

</style>
